Browsable Browsable Docs

Google Maps reviews

Fetch reviews for a Google Maps place — author, rating, date, text, owner response, plus an overall rating breakdown.

POST /v1/googlemaps/reviews

Request Parameters

Name In Type Required Description
placeUrl body string Yes Full Google Maps place URL — pass the `link` field from a `googlemaps/search`, `googlemaps/area`, or `googlemaps/place` response.
maxReviews body number No Maximum reviews to extract. Defaults to 50.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/googlemaps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"placeUrl":"https://example.com/item-1","maxReviews":50}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
POLL_DELAY=3
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [[ "$STATUS" =~ ^(succeeded|failed|errored|cancelled|canceled|expired)$ ]]; then
echo "$RESULT"
break
fi
sleep "$(awk "BEGIN { print $POLL_DELAY * (0.9 + ($RANDOM % 21) / 100) }")"
POLL_DELAY=$((POLL_DELAY < 30 ? POLL_DELAY * 2 : 30))
[ "$POLL_DELAY" -gt 30 ] && POLL_DELAY=30
done

Sync

curl -X POST "https://api.browsable.app/v1/googlemaps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"placeUrl":"https://example.com/item-1","maxReviews":50,"_run":{"async":false}}'